Loading...
Searching...
No Matches
ARC_Sprite Struct Reference

`#include <sprite.h>`

## Data Fields

ARC_Spritesheet * | spritesheet
ARC_Array * | frames
uint32_t * | frameIndex
uint8_t | opacity

## Detailed Description

Definition at line 7 of file sprite.h.

## Field Documentation

## frameIndex

uint32_t* ARC_Sprite::frameIndex

Definition at line 10 of file sprite.h.

Referenced by ARC_Sprite_Copy(), ARC_Sprite_GetBounds(), ARC_Sprite_GetFrameIndex(), ARC_Sprite_IterateFrame(), ARC_Sprite_Render(), ARC_Sprite_RenderFlip(), ARC_Sprite_RenderRotated(), and ARC_Sprite_SetFrameIndex().

## frames

ARC_Array* ARC_Sprite::frames

Definition at line 9 of file sprite.h.

Referenced by ARC_Sprite_Copy(), ARC_Sprite_Delete(), ARC_Sprite_GetAllBounds(), ARC_Sprite_GetBounds(), ARC_Sprite_IterateFrame(), ARC_Sprite_Render(), ARC_Sprite_RenderFlip(), ARC_Sprite_RenderRotated(), and ARC_Sprite_SetFrameIndex().

## opacity

uint8_t ARC_Sprite::opacity

Definition at line 12 of file sprite.h.

Referenced by ARC_Sprite_Render(), ARC_Sprite_RenderFlip(), ARC_Sprite_RenderRotated(), and ARC_Sprite_SetOpacity().

## spritesheet

ARC_Spritesheet* ARC_Sprite::spritesheet

Definition at line 8 of file sprite.h.

Referenced by ARC_Sprite_Copy(), ARC_Sprite_Create(), ARC_Sprite_Delete(), ARC_Sprite_Render(), ARC_Sprite_RenderFlip(), and ARC_Sprite_RenderRotated().

The documentation for this struct was generated from the following file:

- /home/herbglitch/programs/archeus/arc/packages/graphics/sdl/sprite.h